function [Ifm] = tra_sim(m);
%
% Integracao de uma funcao de uma variavel em [0,1].
%
% Input:  m = numero de subintervalos verticais (numero par).
%
% Output: Ifm = valor aproximado de int_a^b f(x) dx.
%
% Funcoes chamadas: funcao_1D.
%
% L. N. Vicente, Dezembro de 2004.
%
%
a = 0;
b = 1;
%
m2 = 2 * m;
H2 = 1 / m2;
%
for i = 1:m2+1
    f_grelha(i) = funcao_1D( a + (i-1)*H2 );
end
%
If2m  = (H2 / 3) * ( f_grelha(1) + 2*sum(f_grelha(3:2:m2-1),2) + ...
                     4*sum(f_grelha(2:2:m2),2) + f_grelha(m2+1) );
%
m1 = m;
H1 = 1 / m1;
%
If1m = H1 * ( f_grelha(1)/2 + sum(f_grelha(3:2:m2),2) + ...
              f_grelha(m2+1)/2 );
%
erro1 = abs(1/6 - If1m);
erro2 = abs(1/6 - If2m);
%
format = '\n Erro-1 = %8.2e   Erro-2 = %8.2e   \n\n';
fprintf(format,erro1,erro2);
%
% Fim.